## lynx-cur 2.8.8dev.12

=== debian/changelog ===
lynx-cur (2.8.8dev.12-2+deb7u2) wheezy-security; urgency=high

  * CVE-2017-1000211: Prevent a use-after-free vulnerability in the HTML
    parser resulting in potential memory disclosure.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Nov 2017 10:38:28 +0900

lynx-cur (2.8.8dev.12-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2016-9179: invalid URL parsing with '?'.

 -- Brian May <bam@debian.org>  Wed, 16 Nov 2016 17:45:35 +1100

lynx-cur (2.8.8dev.12-2) unstable; urgency=low

  * Applied use-dpkg-buildflags.patch which added hardening flags for
    makeuctb.  Thanks to Simon Ruderich <simon AT ruderich DOT org>
    (Closes: #664656)

 -- Atsuhito KOHDA <kohda@debian.org>  Sun, 25 Mar 2012 19:46:44 +0900

lynx-cur (2.8.8dev.12-1) unstable; urgency=low

  * New Upstream Release.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 23 Feb 2012 16:07:22 +0900

lynx-cur (2.8.8dev.11-1) unstable; urgency=low

  * New Upstream Release.
  * Simplified packaging a bit.  Now control-ssl was generated from
    control-gnu.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 20 Feb 2012 11:44:17 +0900

lynx-cur (2.8.8dev.10-1) unstable; urgency=low

  * New Upstream Release.
   - add "submit" and "reset" commands (Closes: #603645)
   - modify check in HText_endForm (Closes: #603648)
  * Modified packaging a bit so that it is easy to rebuild the package
    which supports SSL based on OpenSSL (cf. README.Debian).
  * Updated patches.

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 14 Feb 2012 08:02:14 +0900

lynx-cur (2.8.8dev.9-3) unstable; urgency=low

  * Enabled hardened build flags.  Thanks to Moritz Muehlenhoff
    <jmm AT debian.org>.  (Closes: #654097)
  * Converted from dpatch to quilt.  Thanks to lintian.  Also cleaned up
    some lintian warnings.

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 03 Jan 2012 07:30:50 +0900

lynx-cur (2.8.8dev.9-2) unstable; urgency=low

  * Merging in unstable.

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 21 Jun 2011 12:21:36 +0900

lynx-cur (2.8.8dev.9-1) experimental; urgency=low

  * New Upstream Release.  Updated patch-1.
  * Yet continue to change packaging.
    Removed unnecessary po-debconf from Build-Depends.
    - now no alternatives for lynx.1  (Closes: #258858)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 13 Jun 2011 14:39:34 +0900

lynx-cur (2.8.8dev.8-2) experimental; urgency=low

  * New packaging.  So drastically changed packaging, this should go
    experimental for test.
    Provided only transition lynx-cur-wrapper so conflicted
    with lynx-cur-wrapper (<< 2.8.8dev.8-2).
    Removed update-alternatives of lynx from old lynx-cur and lynx-cur-wrapper
    - not fiddling with local.cfg anymore.  (Closes: #515848, #607005, #627126)
    - not used alternatives anymore. (Closes: #268925)
    - made lynx-cur-wrapper as transition package.  (Closes: #293068, #619318)

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 07 Jun 2011 13:10:45 +0900

lynx-cur (2.8.8dev.8-1) unstable; urgency=low

  * New Upstream Release.

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 26 Jan 2011 13:21:26 +0900

lynx-cur (2.8.8dev.7-1) unstable; urgency=low

  * New Upstream Release.
   - add PERSONAL_MAIL_NAME to options menu and .lynxrc (Closes: #603647)
   - remind user how to cancel message (Closes: #292787)
   - add HTML5_CHARSETS feature (Closes: #604466, #514897)
   - add EXTERNAL_MENU feature to lynx.cfg (Closes: #603646)
   - add check in getfile() when handling a "mailto:" url, to prevent it
     when the user has requested a dump (Closes: #533308)
   - makes RMDIR_PATH configurable (Closes: #604984)
  * Replaced obsolete "netscape" to "x-www-brpwser" in patch-1
    (Closes: #600693)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 13 Dec 2010 15:38:16 +0900

lynx-cur (2.8.8dev.6-3) unstable; urgency=low

  * Applied lynx2.8.8dev.6b.patch (by patches/patch-3)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 08 Nov 2010 21:23:34 +0900

lynx-cur (2.8.8dev.6-2) unstable; urgency=low

  * Applied lynx2.8.8dev.6a.patch (by patches/patch-3)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 08 Nov 2010 13:48:24 +0900

lynx-cur (2.8.8dev.6-1) unstable; urgency=low

  * New Upstream Release.
   - amend change for Debian #514897 to exclude XML documents
     (Closes: #592883)
   - use HTParsePort() in a few places, e.g., HTFinger.c, to allow for IPv6
     addresses with colons (Closes: #587330)
   - add option -unique-urls (Closes: #586762)
  * Updated patch-1 for a new upstream source.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 05 Nov 2010 16:05:27 +0900

lynx-cur (2.8.8dev.5-1) unstable; urgency=high

  * New upstream release.  This should fix a security bug so urgency=high.
  * Fixed a security bug, CVE-2010-2810  (Closes: #594300)
  * A fix for #592078 with patch-3 is not necessary so removed it.
  * Some bugs forgotten to be closed.
   - unable to reproduce. (Closes: #575922)
   - a problem of gnutls. (Closes: #592718)
   - if necessary, please reopen. (Closes: #490265)
   - only a report of a patch for 2.8.7dev9-1.1 (Closes: #489360)

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 26 Aug 2010 09:50:33 +0900

lynx-cur (2.8.8dev.4-3) unstable; urgency=low

  * Applied a patch from the upstream.  (Closes: #592078)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 09 Aug 2010 11:06:00 +0900

lynx-cur (2.8.8dev.4-2) unstable; urgency=low

  * Applied a patch from the upstream (Mon, 28 Jun 2010 20:32:58 -0400 (EDT)).

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 29 Jun 2010 09:44:13 +0900

lynx-cur (2.8.8dev.4-1) unstable; urgency=low

  * New upstream release.

 -- Atsuhito KOHDA <kohda@debian.org>  Sat, 26 Jun 2010 12:19:47 +0900

lynx-cur (2.8.8dev.3-3) unstable; urgency=low

  * Fixed a problem of ssl connection by a patch from the upstream.
    Closes: #579501

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 06 May 2010 10:48:26 +0900

lynx-cur (2.8.8dev.3-2) unstable; urgency=low

  * Fixed a small error in 2.8.8dev.3


