=== debian/control ===
Source: lynx-cur
Section: web
Priority: extra
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Homepage: http://lynx.isc.org/
Build-Depends: debhelper (>= 7), quilt, libncursesw5-dev, libbz2-dev, zlib1g-dev, gettext, libgnutls-dev, sharutils, telnet, openssh-client, libbsd-dev, libidn11-dev
Standards-Version: 3.8.2

Package: lynx-cur
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: www-browser, news-reader
Conflicts: lynx (<< 2.8.7dev9-1.1), lynx-ssl, lynx-cur-wrapper (<< 2.8.8dev.8-2)
Recommends: mime-support
Description: Text-mode WWW Browser with NLS support (development version)
 Lynx is a fully-featured World Wide Web (WWW) client for users running
 cursor-addressable, character-cell display devices.
 It is very fast and easy to use. It will display HTML documents
 containing links to files residing on the local system,
 as well as files residing on remote systems running Gopher, HTTP, FTP,
 WAIS, and NNTP servers.
 .
 This package contains a development version of lynx.

Package: lynx-cur-wrapper
Section: oldlibs
Architecture: all
Depends: lynx-cur (>= ${source:Version}), ${misc:Depends}
Description: Wrapper for lynx-cur (transitional package)
 This is a transitional package and can safely be removed; see the
 lynx-cur package instead.

Package: lynx
Section: oldlibs
Architecture: all
Depends: lynx-cur (>= ${source:Version}), ${misc:Depends}
Description: Text-mode WWW Browser (transitional package)
 This is a transitional package and can safely be removed; see the
 lynx-cur package instead.
