## lynx-cur 2.8.9dev6

=== debian/changelog ===
lynx-cur (2.8.9dev6-3) unstable; urgency=medium

  * Upload to unstable. The change in the previous upload (to experimental)
    Closes: #785383.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 May 2015 11:16:43 +0200

lynx-cur (2.8.9dev6-2) experimental; urgency=medium

  * gnutls_set_default_priority.diff: Use gnutls_set_default_priority()
    instead of a custom priority string. See #784430.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 May 2015 12:57:12 +0200

lynx-cur (2.8.9dev6-1) unstable; urgency=medium

  * New upstream version.
    + Refresh patches 20_use_gzip-n.diff and 21_do_not_strip_-g.diff
    + Truncates SSL prompts with an ellipsis if it's too long for the
      screen-width. (Closes: #783476)
    + Adds a note about OCSP to url-support documentation (c.f. #745835)
    + Change defaults for SSL prompts when a problem is detected to "no"
      (Closes: #783477)

 -- Axel Beckert <abe@debian.org>  Sun, 10 May 2015 21:37:15 +0200

lynx-cur (2.8.9dev5-2) unstable; urgency=medium

  * Upload to unstable again.
  * Change Andy's e-mail address to a permanent one.
  * debian/copyright:
    + Use canonical short name GPL-2 instead of GPL-2.0
    + Fix lintian warning dep5-copyright-license-name-not-unique

 -- Axel Beckert <abe@debian.org>  Sun, 26 Apr 2015 03:11:05 +0200

lynx-cur (2.8.9dev5-1) experimental; urgency=medium

  * Use improved package description by Justin B Rye (with minor changes).
    Closes: #710737
  * New upstream version.
    + Removes limit of 4 digits for page jumps on ix86. Closes: #699068
    + Loosen the check in IsOurFile() to permit hard-linked files.
      Closes: #429606
    + Translation updates include corrected description of keybinding.
      Closes: #484250

 -- Andreas Metzler <ametzler@debian.org>  Mon, 13 Apr 2015 19:36:20 +0200

lynx-cur (2.8.9dev4-2) experimental; urgency=low

  [ Axel Beckert ]
  * Add Vcs-Headers.
  * Remove obsolete emacs "local variables" from debian/changelog.
  * Update Michael Grobe's e-mail address in debian/copyright. (Outdated
    e-mail address reported by DUCK, thanks!)
  * Apply wrap-and-sort.
  * Drop long-time transitional package lynx-cur-wrapper.
  * Add DEP12 upstream metadata file.
  * Replace version Conflicts headers with Breaks + Replaces. Fixes
    lintian warning conflicts-with-version.
  * Add patch to make build reproducible by removing all occurrences of
    the __DATE__ and __TIME__ macros.
  * Update all patch headers to be DEP3-compliant.

  [ Denis Briand ]
  * New maintainers. Add team and co-maintainers e-mail
    addresses. (Closes: #773942)
  * Update debian/copyright to machine-readable format version 1.
  * Switch NESTED_TABLES option to false (Closes: #387555)
  * Add Delete key usage into manpage (Closes: #74358)

 -- Axel Beckert <abe@debian.org>  Fri, 20 Mar 2015 04:46:50 +0100

lynx-cur (2.8.9dev4-1) experimental; urgency=medium

  * QA upload.
  * 21_do_not_strip_-g.diff: Build with -g. (Thanks, Simon Ruderich)
  * New upstream version:
    + Makes use of gnutls_certificate_verification_status_print
      instead of only checking a selection of verification errors.
      Closes: #745835

 -- Andreas Metzler <ametzler@debian.org>  Mon, 26 Jan 2015 18:57:50 +0100

lynx-cur (2.8.9dev3-1) experimental; urgency=medium

  * QA upload.
  * Build with hardening +all.
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Jan 2015 13:53:43 +0100

lynx-cur (2.8.9dev2-1) experimental; urgency=medium

  * QA upload.
  * Set maintainer to QA. -  Thanks, Atsuhito KOHDA.
  * Add watchfile from PTS (Thanks, Bart Martens), but use uversionmangle.
  * Drop unused debian/lynx2.8.8dev.6a.patch from debian diff.
  * Convert to 3.0 (quilt) format.
  * 20_use_gzip-n.diff: Use gzip -n for compressing helpfiles. (Lintian error
    package-contains-timestamped-gzip)
  * Simplify debian/rules.
  * Use debhelper v9 mode and dh.
    + Handles DEB_BUILD_OPTIONS=nostrip correctly. Closes: #437547
  * Enable signature checking in watchfile.
  * lynx-cur-wrapper/lynx depend on lynx-cur (>= 2.8.9dev1) instead of (>=
    ${source:Version}). Closes: #532759
  * Let any package providing telnet-client fullfill the build-depency.
    Closes: #670718
  * New upstream version.
    + Does not use gcrypt directly anymore (see #753699), drop b-d on
      libgcrypt20-dev.
    + Update debian/copyright from COPYHEADER.
  * Upload to experimental to avoid any negative effect on the release.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Dec 2014 16:47:01 +0100

lynx-cur (2.8.9dev1-2) unstable; urgency=medium

  * Fixed B-D by adding libgcrypt20-dev.  libgnutls-dev installs automatically
    libgcrypt11-dev but libgnutls28-dev doesn't install libgcrypt20-dev
    automatically.  Thanks to Thorsten Glaser <tg AT mirbsd.de> and Andreas
    Metzler <ametzler AT bebt.de>  (Closes: #753699)

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 08 Jul 2014 14:19:54 +0900

lynx-cur (2.8.9dev1-1) unstable; urgency=medium

  * New upstream release
  * Changed build-dependency: from libgnutls-dev to libgnutls28-dev.
    Thanks to Andreas Metzler <ametzler AT bebt.de>  (Closes: #753128)

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 03 Jul 2014 15:48:36 +0900

lynx-cur (2.8.8pre5-1) unstable; urgency=medium

  * New upstream release
   - change quality value for application/xhtml+xml mime type.
     (Closes: #725178)
   - modify forms-submit to trim query-parameters from the action URI if it
     happens to be a file-URL.  (Closes: #738121)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 17 Feb 2014 11:16:55 +0900

lynx-cur (2.8.8pre4-1) unstable; urgency=medium

  * New upstream release
   - modify the LOCALE_CHARSET feature (Closes: #737416)

 -- Atsuhito Kohda <kohda@debian.org>  Wed, 05 Feb 2014 10:54:27 +0900

lynx-cur (2.8.8pre3-1) unstable; urgency=medium

  * New upstream release
  * Updated debian/patches/aboutlynx.patch

 -- Atsuhito Kohda <kohda@debian.org>  Thu, 16 Jan 2014 12:16:03 +0900


