=== debian/control ===
Source: lynx-cur
Section: web
Priority: extra
Maintainer: Debian Lynx Packaging Team <pkg-lynx-maint@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>,
           Denis Briand <debian@denis-briand.fr>,
           Andreas Metzler <ametzler@debian.org>,
           Andy Valencia <lynxomatic@gmail.com>
Homepage: http://lynx.isc.org/
Build-Depends: autotools-dev,
               debhelper (>= 9),
               gettext,
               libbsd-dev,
               libbz2-dev,
               libgnutls28-dev,
               libidn11-dev,
               libncursesw5-dev,
               openssh-client,
               sharutils,
               telnet | telnet-client,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lynx/lynx-cur.git/
Vcs-Git: git://anonscm.debian.org/pkg-lynx/lynx-cur.git

Package: lynx-cur
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: news-reader,
          www-browser
Breaks: lynx (<< 2.8.7dev9-1.1),
        lynx-cur-wrapper (<< 2.8.8dev.8-2)
Replaces: lynx (<< 2.8.7dev9-1.1),
          lynx-cur-wrapper (<< 2.8.8dev.8-2)
Conflicts: lynx-ssl
Recommends: mime-support
Description: classic non-graphical (text-mode) web browser
 In continuous development since 1992, Lynx sets the standard for
 text-mode web clients. It is fast and simple to use, with support for
 browsing via FTP, Gopher, HTTP, HTTPS, NNTP, and the local file system.

Package: lynx
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: lynx-cur (>= 2.8.9dev1),
         ${misc:Depends}
Description: Text-mode WWW Browser (transitional package)
 This is a transitional package and can safely be removed; see the
 lynx-cur package instead.
