## lynx-cur 2.8.9dev8

=== debian/changelog ===
lynx-cur (2.8.9dev8-1) unstable; urgency=low

  * New upstream development release.
    + Remove all patches applied upstream (partially applied modified)
    + export NO_BUILDSTAMP to make build reproducible (instead of
      patching)
  * Prefix all debhelper files with the according package name for
    consistency.
  * Add additional upstream signing key (702353E0F7E48EDB).
  * Add ftp://invisible-island.net/lynx/tarballs/ to debian/watch as it
    seems to contain a different set of files.

 -- Axel Beckert <abe@debian.org>  Tue, 22 Dec 2015 22:17:18 +0100

lynx-cur (2.8.9dev6-5) unstable; urgency=medium

  * Change Homepage header and watch file since lynx.isc.org is deprecated.
  * Add patch to fix typos found by lintian.
  * Add lintian override for XWINDOWS misspelling since this can be the
    value or name of an environment variable and we don't want to change
    Lynx's user interface to become incompatible with upstream
    respectively previous versions in Debian.

 -- Axel Beckert <abe@debian.org>  Sat, 28 Nov 2015 15:36:10 +0100

lynx-cur (2.8.9dev6-4) unstable; urgency=low

  [ Reiner Herrmann ]
  * 40_reproducible_build.diff: Sort cfg_defs.h independent of locale.
    Closes: #792770

  [ Simon Kainz ]
  * Add patch gnutls_add_rehandshake_support.diff. (Closes: #797059)
  * Add patch add_client_certificate_support.diff. (Closes: #797901)

  [ Axel Beckert ]
  * Fix license name spelling error in debian/copyright. Thanks lintian!

 -- Axel Beckert <abe@debian.org>  Thu, 03 Sep 2015 20:51:23 +0200
