=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Denis Briand <debian@denis-briand.fr>,
            Andreas Metzler <ametzler@debian.org>,
            Andy Valencia <lynxomatic@gmail.com>
-Homepage: http://lynx.isc.org/
+Homepage: http://lynx.invisible-island.net/
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                gettext,
