=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND := -Wall
+export DEB_CFLAGS_MAINT_APPEND := -Wall -DNO_BUILDSTAMP
 
 SSL=gnu
 # uncomment the next line if you want openssl version
